Bug 827806 - Review Request: cmdtest - Black-box testing for Unix command line tools
Review Request: cmdtest - Black-box testing for Unix command line tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On: 827803 827804 827805
Blocks: 827808 827810
  Show dependency treegraph
 
Reported: 2012-06-03 02:22 EDT by Michel Alexandre Salim
Modified: 2012-09-27 00:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 16:30:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mathstuf: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2012-06-03 02:22:43 EDT
Spec URL: http://salimma.fedorapeople.org/specs/admin/cmdtest.spec
SRPM URL: http://salimma.fedorapeople.org/specs/admin/cmdtest-0.3-1.fc17.src.rpm
Description:
Black-box testing for Unix command line tools

Fedora Account System Username: salimma
Comment 1 Ben Boeckel 2012-06-08 20:45:32 EDT
I'll take this.
Comment 2 Ben Boeckel 2012-06-19 22:38:24 EDT
I'm getting build errors in a Rawhide mock build.


+ /usr/bin/python setup.py check
running check
FAILED
Modules missing test modules:
  build/lib/cmdtestlib.py
0 failures, 0 errors
1 excluded modules
1 missing test modules
Time: 0.0 s
Traceback (most recent call last):
  File "setup.py", line 81, in <module>
    'clean': CleanMore,
  File "/usr/lib64/python2.7/distutils/core.py", line 152, in setup
    dist.run_commands()
  File "/usr/lib64/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/usr/lib64/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "setup.py", line 62, in run
    subprocess.check_call(['python', '-m', 'CoverageTestRunner'])
  File "/usr/lib64/python2.7/subprocess.py", line 511, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['python', '-m', 'CoverageTestRunner']' returned non-zero exit status 1
Comment 3 Michel Alexandre Salim 2012-06-25 05:51:32 EDT
My bad, I tested cmdtest against an older version of CoverageTestRunner. Updated spec and SRPM, please retest:

Spec URL: http://salimma.fedorapeople.org/specs/admin/cmdtest.spec
SRPM URL: http://salimma.fedorapeople.org/specs/admin/cmdtest-0.3-2.fc17.src.rpm
Comment 4 Ben Boeckel 2012-07-09 22:56:21 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/boeckb/misc/code/review/cmdtest_0.3.orig.tar.gz :
  MD5SUM this package     : 63d39275c678a873aeb0cb3190e7488b
  MD5SUM upstream package : 63d39275c678a873aeb0cb3190e7488b

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.

http://gitorious.org/cmdtest/cmdtest/commit/7c2e281f38cdb43c37d3ad8777f0557a8f717abd

[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Generated by fedora-review 0.1.3
External plugins:

APPROVED
Comment 5 Michel Alexandre Salim 2012-09-15 06:12:21 EDT
Thanks!

New Package SCM Request
=======================
Package Name: cmdtest
Short Description: Black-box testing for Unix command line tools
Owners: salimma
Branches: el6 f16 f17 f18
InitialCC:
Comment 6 Gwyn Ciesla 2012-09-15 10:46:20 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-09-15 22:49:40 EDT
cmdtest-0.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cmdtest-0.3-3.fc18
Comment 8 Fedora Update System 2012-09-15 22:49:52 EDT
cmdtest-0.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cmdtest-0.3-3.fc17
Comment 9 Fedora Update System 2012-09-15 22:50:02 EDT
cmdtest-0.3-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cmdtest-0.3-3.fc16
Comment 10 Fedora Update System 2012-09-16 15:17:05 EDT
cmdtest-0.3-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-09-20 16:30:21 EDT
cmdtest-0.3-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2012-09-27 00:20:05 EDT
cmdtest-0.3-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-09-27 00:21:12 EDT
cmdtest-0.3-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.